Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ifr_adding_visitor_operation Class Reference

`#include <ifr_adding_visitor_operation.h>`

Inheritance diagram for ifr_adding_visitor_operation:

[legend]
Collaboration diagram for ifr_adding_visitor_operation:

[legend]
List of all members.

## Public Methods
| ifr_adding_visitor_operation (AST_Decl *scope)
virtual | ~ifr_adding_visitor_operation (void)
virtual int | visit_operation (AST_Operation *node)
virtual int | visit_argument (AST_Argument *node)
## Private Attributes
CORBA::ParDescriptionSeq | params_
CORBA::ULong | index_

## Constructor & Destructor Documentation

ifr_adding_visitor_operation::ifr_adding_visitor_operation | ( | AST_Decl * | scope | ) |

ifr_adding_visitor_operation::~ifr_adding_visitor_operation | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int ifr_adding_visitor_operation::visit_argument | ( | AST_Argument * | node | ) | `[virtual]`

| Reimplemented from ifr_visitor.

int ifr_adding_visitor_operation::visit_operation | ( | AST_Operation * | node | ) | `[virtual]`

| Reimplemented from ifr_adding_visitor.

## Member Data Documentation

CORBA::ULong ifr_adding_visitor_operation::index_`[private]`

CORBA::ParDescriptionSeq ifr_adding_visitor_operation::params_`[private]`

The documentation for this class was generated from the following files:

- ifr_adding_visitor_operation.h
- ifr_adding_visitor_operation.cpp